import { atomicPieceTypes } from "../specs";
export const checkAtomicPieceRendererSet = (atomicPieceRendererSet) => {
    const atomicPieceTypeTitles = atomicPieceTypes.map((atomicPieceType) => atomicPieceType.piece_type_title);
    const atomicPieceRendererSetKeys = Object.keys(atomicPieceRendererSet);
    atomicPieceRendererSetKeys.forEach((atomicPieceRendererSetKey) => {
        if (!atomicPieceTypeTitles.includes(atomicPieceRendererSetKey)) {
            throw new Error(`${atomicPieceRendererSetKey} is not included in atomic piece renderer set`);
        }
    });
    return true;
};
